Page MenuHomePhabricator

travis: enable more archs during cron build
ClosedPublic

Authored by stefan_schmidt on Mar 24 2020, 11:29 AM.

Details

Summary

Enable builds on ppc64le on our daily build. s390x will follow at some
later point (once all quirks are resolved).
As we also use the Linux native build from Travis for Codecov we start
to handle meson options based on builds here as well.
Depends on D11585

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

stefan_schmidt requested review of this revision.Mar 24 2020, 11:29 AM
zmike added a subscriber: zmike.Mar 25 2020, 6:26 AM

Waiting on travis build result...

For ppc64le its working fine with these two patches: https://travis-ci.org/github/Enlightenment/efl/builds/666437724

Its just the s390x support I am working on now that breaks the current builds on this branch

bu5hm4n accepted this revision.Mar 27 2020, 6:36 AM
This revision is now accepted and ready to land.Mar 27 2020, 6:36 AM
This revision was automatically updated to reflect the committed changes.